com.sun.star.uno

## Interface IFieldDescription

- All Superinterfaces:
    IMemberDescription

  Deprecated.
  This interface does not cover all the features supported by the corresponding (unpublished) implementation. But no client code should need to access this functionality, anyway.

      public interface IFieldDescription
      extends IMemberDescription

  The `IFieldDescription` describes non method members.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Field` | `getField()` Deprecated. Gives native java field of this member.
    `ITypeDescription` | `getTypeDescription()` Deprecated. Gives the name of this member.

    - ### Methods inherited from interface com.sun.star.uno.IMemberDescription

      `getIndex, getName, isAny, isInterface, isUnsigned`

- - ### Method Detail

    - #### getTypeDescription

          ITypeDescription getTypeDescription()

      Deprecated.
      Gives the name of this member.

      Returns:
        the name

    - #### getField

          Field getField()

      Deprecated.
      Gives native java field of this member.

      Returns:
        the java field